Package com.xebialabs.deployit.plugin.api.udm

# Class Template

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.Template

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `Directory`

@Metadata(virtual=true, description="Base type for all generated template CIs.") @TypeIcon("icons/types/udm.Template.svg") public class Template extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Set<Template>`
  `childTemplates`
  `String`
  `instanceName`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Template()`

- ## Method Summary

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### instanceName

    @Property(required=false, category="Template", description="Name that the created instance of this template will have. If not specified, the instance name will be generated based on the template name and provisioning ID.") public String instanceName

  - ### childTemplates

    @Property(required=false, description="Child templates associated with this template.", asContainment=true, category="Template") public Set<Template> childTemplates

- ## Constructor Details

  - ### Template

    public Template()